# Grafana

## Helm

```bash
helm repo add grafana https://grafana.github.io/helm-charts
helm repo update
helm upgrade --install my-grafana grafana/grafana \
    --namespace monitoring \
    --create-namespace \
    --values kubernetes/incubating/grafana/values.yaml

kubectl get secret --namespace monitoring my-grafana -o jsonpath="{.data.admin-password}" | base64 --decode ; echo
```

metrics-server.kube-system.svc.cluster.local:9090

## Kube Prometheus Stack

```bash
helm repo add prometheus-community https://prometheus-community.github.io/helm-charts
helm repo update

helm upgrade --install \
    kube-prometheus-stack \
    prometheus-community/kube-prometheus-stack \
    --namespace kube-system \
    --values kubernetes/incubating/grafana/helm-prom-stack-values.yaml
```
